import { RefObject } from 'react';
declare type QueryCalculator = `${'min' | 'max'}-${'width' | 'height'}`;
declare type Query = `${QueryCalculator}: ${number}px`;
export declare const useContainerQuery: <Ref = HTMLDivElement>(query: Query, options?: {
    observeOptions?: ResizeObserverOptions | undefined;
} | undefined) => [RefObject<Ref>, boolean | null];
declare type BreakpointName = string;
/**
 * Detecting multiple container queries within the same Element
 */
export declare const useContainerQueries: <Ref = HTMLDivElement>(queries: Partial<Record<BreakpointName, Query>>, options?: {
    observeOptions?: ResizeObserverOptions | undefined;
} | undefined) => [RefObject<Ref>, Partial<Record<"width" | "height", string>> | Record<string, never>];
export {};
